petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscMallocLogRequestedSizeSet

Whether to log the requested or aligned memory size

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocLogRequestedSizeSet(PetscBool flg)

Not Collective

### Input Parameter

| flg | - PETSC_TRUE to log the requested memory size

### Options Database

| -malloc_requested_size <bool> | - Sets this flag

### See Also

PetscMallocLogRequestedSizeGet(), PetscMallocViewSet()

### Level

developer

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages